Skip to main content
POST
/
o
/
{organisation_id}
/
connector
/
{connector_id}
/
http
/
import
Create a new new connector version.
curl --request POST \
  --url https://platform.versori.com/api/connect/v1/o/{organisation_id}/connector/{connector_id}/http/import \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file'
{
  "connector": {
    "id": "<string>",
    "organisationId": "<string>",
    "name": "<string>",
    "public": true,
    "protocol": "http",
    "authSchemeConfigs": [
      {
        "id": "<string>",
        "description": "<string>",
        "schemeType": "<string>",
        "validationMessages": [
          {
            "text": "<string>",
            "severity": "info",
            "detail": [
              "<string>"
            ]
          }
        ]
      }
    ],
    "connections": [
      {
        "id": "<string>",
        "name": "<string>",
        "credentials": {
          "action": [
            {
              "id": "<string>",
              "authSchemeConfig": {
                "id": "<string>",
                "description": "<string>",
                "schemeType": "<string>",
                "validationMessages": [
                  {
                    "text": "<string>",
                    "severity": "info",
                    "detail": [
                      "<string>"
                    ]
                  }
                ]
              },
              "credential": {
                "id": "<string>",
                "organisationId": "<string>",
                "type": "none",
                "name": "<string>",
                "data": {},
                "usages": [
                  {
                    "connection": {
                      "id": "<string>",
                      "name": "<string>",
                      "connector": {
                        "id": "<string>",
                        "organisationId": "<string>",
                        "name": "<string>",
                        "protocol": "http",
                        "createdAt": "2023-11-07T05:31:56Z",
                        "updatedAt": "2023-11-07T05:31:56Z"
                      },
                      "createdAt": "2023-11-07T05:31:56Z",
                      "updatedAt": "2023-11-07T05:31:56Z"
                    }
                  }
                ],
                "errors": [
                  "<string>"
                ],
                "expiresAt": "2023-11-07T05:31:56Z"
              }
            }
          ],
          "trigger": [
            {
              "id": "<string>",
              "authSchemeConfig": {
                "id": "<string>",
                "description": "<string>",
                "schemeType": "<string>",
                "validationMessages": [
                  {
                    "text": "<string>",
                    "severity": "info",
                    "detail": [
                      "<string>"
                    ]
                  }
                ]
              },
              "credential": {
                "id": "<string>",
                "organisationId": "<string>",
                "type": "none",
                "name": "<string>",
                "data": {},
                "usages": [
                  {
                    "connection": {
                      "id": "<string>",
                      "name": "<string>",
                      "connector": {
                        "id": "<string>",
                        "organisationId": "<string>",
                        "name": "<string>",
                        "protocol": "http",
                        "createdAt": "2023-11-07T05:31:56Z",
                        "updatedAt": "2023-11-07T05:31:56Z"
                      },
                      "createdAt": "2023-11-07T05:31:56Z",
                      "updatedAt": "2023-11-07T05:31:56Z"
                    }
                  }
                ],
                "errors": [
                  "<string>"
                ],
                "expiresAt": "2023-11-07T05:31:56Z"
              }
            }
          ]
        },
        "variables": [
          {
            "name": "<string>",
            "value": "<string>"
          }
        ],
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z"
      }
    ],
    "versions": [
      {
        "id": "<string>",
        "name": "<string>",
        "isLatest": true,
        "isDefault": true,
        "createdAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z",
        "publishedAt": "2023-11-07T05:31:56Z",
        "description": "<string>",
        "messages": [
          {
            "text": "<string>",
            "severity": "info",
            "detail": [
              "<string>"
            ]
          }
        ]
      }
    ],
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "baseUrl": "<string>",
    "documentationURL": "<string>",
    "imageURL": "<string>",
    "tags": {},
    "connectionVariables": [
      {
        "name": "<string>",
        "value": "<string>"
      }
    ]
  },
  "definitions": [
    {
      "id": "<string>",
      "name": "<string>",
      "accept": [
        "<string>"
      ],
      "url": "<string>",
      "description": "<string>",
      "referencedBy": [
        {
          "type": "definition",
          "id": "<string>",
          "name": "<string>"
        }
      ]
    }
  ],
  "actions": [
    {
      "id": "<string>",
      "type": "http",
      "name": "<string>",
      "method": "GET",
      "path": "<string>",
      "parameters": [
        {
          "name": "<string>",
          "in": "cookie",
          "required": true,
          "type": "string",
          "default": "<unknown>",
          "completion": {}
        }
      ],
      "responses": [
        {
          "id": "<string>",
          "definitions": [
            {
              "id": "<string>",
              "definition": {
                "id": "<string>",
                "name": "<string>",
                "accept": [
                  "<string>"
                ],
                "url": "<string>",
                "description": "<string>",
                "referencedBy": [
                  {
                    "type": "definition",
                    "id": "<string>",
                    "name": "<string>"
                  }
                ]
              }
            }
          ],
          "status": 123
        }
      ],
      "errors": [
        {
          "field": "<string>",
          "message": "<string>",
          "severity": "error"
        }
      ],
      "summary": "<string>",
      "description": "<string>",
      "requestBody": {
        "required": true,
        "definitions": [
          {
            "id": "<string>",
            "definition": {
              "id": "<string>",
              "name": "<string>",
              "accept": [
                "<string>"
              ],
              "url": "<string>",
              "description": "<string>",
              "referencedBy": [
                {
                  "type": "definition",
                  "id": "<string>",
                  "name": "<string>"
                }
              ]
            }
          }
        ]
      }
    }
  ],
  "triggers": [
    {
      "id": "<string>",
      "type": "http",
      "name": "<string>",
      "method": "GET",
      "parameters": [
        {
          "name": "<string>",
          "in": "cookie",
          "required": true,
          "type": "string",
          "default": "<unknown>"
        }
      ],
      "responses": [
        {
          "id": "<string>",
          "definitions": [
            {
              "id": "<string>",
              "definition": {
                "id": "<string>",
                "name": "<string>",
                "accept": [
                  "<string>"
                ],
                "url": "<string>",
                "description": "<string>",
                "referencedBy": [
                  {
                    "type": "definition",
                    "id": "<string>",
                    "name": "<string>"
                  }
                ]
              }
            }
          ],
          "status": 123
        }
      ],
      "errors": [
        {
          "field": "<string>",
          "message": "<string>",
          "severity": "error"
        }
      ],
      "summary": "<string>",
      "description": "<string>",
      "requestBody": {
        "required": true,
        "definitions": [
          {
            "id": "<string>",
            "definition": {
              "id": "<string>",
              "name": "<string>",
              "accept": [
                "<string>"
              ],
              "url": "<string>",
              "description": "<string>",
              "referencedBy": [
                {
                  "type": "definition",
                  "id": "<string>",
                  "name": "<string>"
                }
              ]
            }
          }
        ]
      }
    }
  ],
  "messages": [
    {
      "text": "<string>",
      "severity": "info",
      "detail": [
        "<string>"
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.versori.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.

Path Parameters

organisation_id
string<ulid>
required
connector_id
string<ulid>
required

ID is the unique identifier of the Connector.

Body

file
file

The file to be imported.

metadata
object

ImportHTTPConnectorVersionMetadata defines the metadata part of the multipart/form-data request when creating a new connector version.

Response

Created

ImportHTTPConnectorResult defines the result of importing a Connector from an external format, such as OpenAPI.

connector
object
required

HTTPConnector represents a connector to an external system over HTTP.

definitions
object[]
required
actions
object[]
required
triggers
object[]
required
messages
object[]
required